using System;
using System.Data;
using System.Data.SqlClient;
using System.Data.SqlTypes;
using Microsoft.SqlServer.Server;

public partial class StoredProcedures
{
    [Microsoft.SqlServer.Server.SqlProcedure]
    public static void spMatchAndInsertInCache(string projName, long id, string mergedValues)
    {

        string[] values = mergedValues.Split(new string[] { UserDefinedFunctions.GetSeparator() }, StringSplitOptions.None);
        try
        {
            var wrapper = new ServiceWrapper.Wrapper();
            wrapper.MatchInsert(projName, id, values);
        }
        catch (Exception ex)
        {
            SqlContext.Pipe.Send(ex.Message);
        }
    }

}
